﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using FileSysExp.Core;

namespace FileSysExp.Models
{
    public class MainViewModel : ViewModelBase
    {
        private ReadOnlyCollection<DirItemViemModel> _Directories;

        public ReadOnlyCollection<DirItemViemModel> Directories
        {
            get { return _Directories; }
            set
            {
                _Directories = value;
                RaisePropertyChanged("Directories");
            }
        }

        private IFileSysItem _SelectedItem;

        public IFileSysItem SelectedItem
        {
            get { return _SelectedItem; }
            set
            {
                _SelectedItem = value;
                RaisePropertyChanged("SelectedItem");
            }
        }
    }
}
