﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;

namespace FileSysExp.Core
{
    public interface IFileSysItem
    {
        string Name { get; set; }
        string ShortName { get; set; }
        string ModifiedDate { get; set; }
        string Size { get; set; }
        ImageSource Icon { get; set; }
        void GetChildren(bool includeFiles = false);
        List<IFileSysItem> Children { get; set; }
        IFileSysItem Clone();
    }
}
